Sun GlassFish Message Queue 4.4 Release Notes

Message Queue 4.4 Supported Platforms and Components

This section covers the following topics regarding Message Queue 4.4 system requirements:

Operating System Platform Support

Message Queue 4.4 is supported on Solaris, Linux, Windows, and AIX operating system platforms. Table 1–2 shows the supported versions of each of these platforms. For the hardware requirements of each platform see the Sun Java System Message Queue 4.3 Installation Guide

Table 1–2 Supported Platform Versions


Supported Versions 


Solaris 9 (SunOS 5.9), all updates (SPARC, x86)

Solaris 10 (SunOS 5.10), all updates (SPARC, x86, x64)


OpenSolaris 2008.11 (x86, x64)

OpenSolaris 2009.06 (x86, x64)


Red Hat Enterprise Linux Advanced Server 4.0, 5.0, all updates, 32– and 64–bit versions (x86, x64)

Red Hat Enterprise Linux Enterprise Server 4.0, 5.0, all updates, 32– and 64–bit versions (x86, x64)


AIX 6.1 


Windows Vista 

Windows XP Professional, SP2 (x86) [No Home, Tablet PC, or Media Center Edition support]

Windows Server 2003 Standard and Enterprise Editions, SP2, 32– and 64–bit versions (x86, x64) [No Web or Small Business Server Edition support]

Windows Server 2008 Standard and Enterprise Editions, SP2, 32– and 64–bit versions (x86, x64)

System Virtualization Support

System virtualization is a technology that enables multiple operating system (OS) instances to execute independently on shared hardware. Functionally, software deployed to an OS hosted in a virtualized environment is generally unaware that the underlying platform has been virtualized. Sun performs testing of its Sun Java System products on select system virtualization and OS combinations to help validate that the Sun Java System products continue to function on properly sized and configured virtualized environments as they do on non-virtualized systems. For information about Sun support for Sun Java System products in virtualized environments, see

Component Dependencies

In addition to platform-specific requirements, Message Queue 4.4 also depends on certain basic components that must be installed in order to develop and run Message Queue clients. Table 1–3 describes these components. Other versions or vendor implementations can also be used, but they are untested by Sun Microsystems and therefore not officially supported.

Table 1–3 Required Support Components



Supported Versions [Sun Microsystems production versions only]

Java Runtime Environment (JRE)

Message Queue broker and administration tools 

J2SETM Runtime Environment 1.5.0 or later

JavaTM SE Runtime Environment1.6.0

Java Software Development Kit (JDK), Standard Edition

Java client development and deployment 

J2SE Development Kit 1.5.0 or later 

Java SE Development Kit 1.6.0. Note that JMX requires version 1.6.0_10 or later.

Table 1–4 shows additional components that you can install to provide additional support for Message Queue clients. You may not need all of the components listed: for example, if you are not writing a C client, you will not need the C compiler, C++ runtime library, NSPR, or NSS.

Table 1–4 Optional Support Components



Supported Versions 

Application server 


Sun GlassFish Application Server Enterprise Edition, Version 9.1.1  

Sun GlassFish Enterprise Server v2.1, v2.1.1 

Web server 


Sun GlassFish Web Server Enterprise Edition, Version 7.0, Update 3 


JDBC-based data store 

HADB, Versions 4.4.3, 4.5, 4.6

Java DB (Apache Derby), Version 10.4

MySQL Community/Enterprise Edition, Version 5.1 

Oracle 9.2i, 10g, and 11g 

postgreSQL, Version 8.1 

Note –

The PointBase database is no longer supported.

Highly-available database 

High-availability broker clusters 

HADB, Versions 4.4.3, 4.5, 4.6

MySQL Cluster Edition, Version 5.1.39–ndb–7.0.9 

Oracle 10g and 11g 

Lightweight Directory Access Protocol (LDAP) directory server

Message Queue user repository and administered objects 

Sun GlassFish Directory Server, Version 6.0 

Java Naming and Directory Interface (JNDI)

Administered object support and LDAP user repository

JNDI Version 1.2.1

LDAP Service Provider, Version 1.2.2

File System Service Provider, Version 1.2 Beta 3 [Administered object support only; supported for development and testing, but not for deployment in a production environment]

C Compiler and compatible C++ runtime library 

Message Queue C clients 

Solaris: Sun Studio, Version 12 or later, C++ compiler with standard mode and C compiler

Linux: gcc/g++, Version 3.4.6

Windows: Microsoft Windows Visual Studio, Version 2008 SP1

Netscape Portable Runtime (NSPR)

Message Queue C clients 

Version 4.7 

Network Security Services (NSS)

Message Queue C clients 

Version 3.12.3